CREATE TABLE cso_collection (
    AVAILABILITY          NUMBER        ,
    COLLECTION_ID         NUMBER        ,
    COLLECTION_NAME       VARCHAR2(1020)    NOT NULL,
    COLLECTION_TYPE_ID    NUMBER            NOT NULL,
    CONFIG_XML            CLOB          ,
    CRAWL_NUM             NUMBER        ,
    DATE_ADDED            TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED         TIMESTAMP(6)      NOT NULL,
    INDEX_NUM             NUMBER        ,
    PREP_NUM              NUMBER        ,
    STATUS_COMMENT        VARCHAR2(4000),
    STATUS_ID             NUMBER            NOT NULL,
    AVAILABILITY          NUMBER        ,
    COLLECTION_ID         NUMBER        ,
    COLLECTION_NAME       VARCHAR2(1020)    NOT NULL,
    COLLECTION_TYPE_ID    NUMBER            NOT NULL,
    CONFIG_XML            CLOB          ,
    CRAWL_NUM             NUMBER        ,
    DATE_ADDED            TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED         TIMESTAMP(6)      NOT NULL,
    INDEX_NUM             NUMBER        ,
    PREP_NUM              NUMBER        ,
    STATUS_COMMENT        VARCHAR2(4000),
    STATUS_ID             NUMBER            NOT NULL,
    CONSTRAINT pk_cso_collection PRIMARY KEY (COLLECTION_ID, COLLECTION_ID)
);
